package com.eactive.eai.transformer.layout;

import com.eactive.eai.transformer.dao.LoadingUnit;


public class LayoutType  extends LoadingUnit {
	private static final long serialVersionUID = -386909317895260067L;
	private String name;
    private String description;
    private String genClass;

    
    public LayoutType() {
        this("");
    }

    public LayoutType(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getGenClass() {
        return genClass;
    }

    public void setGenClass(String genClass) {
        this.genClass = genClass;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("LayoutType [");
        sb.append("name=").append(name);
        sb.append(", description=").append(description);
        sb.append("]");

        return sb.toString();
    }
}
